// Titles //

.main__title {
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 40px;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: $main-8;
    margin-bottom: 16px;
   
    @media (max-width: 1024px) {
        font-size: 24px;
        line-height: 28px;
    }

    .user__name {
        color: $purple-1;
    }
}

.section__title {
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
    color: $main-8;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    margin-bottom: 24px;
}

.block__title {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: $main-8;
    margin-bottom: 16px;
}

.sub-block__title {
    padding: 16px;
    background-color: $main-3;
    font-size: 12px;
    font-weight: 600;
    line-height: 16px;
    letter-spacing: 0.24px;
    text-transform: uppercase;
    border-radius: 8px;
}

.main-card__title {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 22px;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: $main-8;
    margin-bottom: 8px;
    hyphens: auto;
    transition: 0.3s ease;

    @media (max-width: 1024px) {
        font-size: 12px;
        line-height: 14px;
        font-weight: 600;
        margin-bottom: 4px;
    }
}

.card__title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: $main-8;

    @media (max-width: 1024px) {
        font-size: 10px;
        line-height: 14px;
    }
}

.datalist__title {
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: $main-7;
    background-color: $main-2;
    padding: 8px;
}

.card__title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: $main-8;

    @media (max-width: 1024px) {
        font-size: 10px;
        line-height: 14px;
    }
}

.card__subtitle {
    font-style: normal;
    font-weight: 700;
    font-size: 10px;
    line-height: 16px;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: $main-6;
    transition: 0.3s ease;

    // @media (max-width: 1024px) {
    //     font-size: 8px;
    //     line-height: 14px;
    // }
}

.promotion__title {
    margin-bottom: 8px
}

.promotion__text {
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color:$main-7;
}

.promotion-card__title {
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
    color: $main-8;
    margin-bottom: 16px;
    
    @media (max-width: 576px) {
        font-size: 20px;
        line-height: 24px;
    }
}

.promotion-card__sub-title {
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    text-transform: uppercase;
    color: $main-6;
}

.accordion-help__title {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: $main-8;
    margin-bottom: 8px;

    @media (max-width: 576px) {
        font-size: 14px;
        line-height: 20px;
    }
}

.delivery__title {
    margin-bottom: 8px;
    font-weight: 500;
}

.offer__title {
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: $main-0;
    hyphens: auto;

    @media (max-width: 1024px) {
        font-size: 11px;
        line-height: 14px;
    }
}

.modal__title {
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
    color: $main-8;
}

.modal-big__title {
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px;
    letter-spacing: 0.32px;
    text-transform: uppercase;
    color: $main-8;

    @media (max-width: 1024px) {
        font-weight: 500;
        font-size: 16px;
        line-height: 16px;
    }
}

.notifications__title {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    color: $main-8;
    margin-bottom: 8px;
}

.black-block__title {
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    text-transform: uppercase;
    color: $main-4;
    padding: 12px;
    background-color: $main-8;
    border-radius: 8px;

    @media (max-width: 576px) {
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: 16px;
        text-transform: inherit;
    }
}